🔊Volumes

Here are endpoints for getting DEX trade volume information are described

get

Returns the latest volumes with optional filters.

Query parameters
tokenAddressstringOptional

Filter volumes by token address.

Example: 0x82aF49447D8a07e3bd95BD0d56f35241523fBab1
poolAddressstringOptional

Filter volumes by pool address.

Example: 0x95c9bF3f60Cbc2BE8e148FAe82f26930bFcD1839
minVolumeUSDnumber · floatOptional

Minimum volume in USD.

Example: 1000
blockchainstringOptional

Filter volumes by blockchain.

Example: Arbitrum
exchangestringOptional

Filter volumes by exchange name or address.

Example: Uniswap v3
addressanyOptional

Get volume of trades by specifc address

Example: 0x884dB3A3b1d4925d0d6fF204eE12B47E5746b200
protocolanyOptional

Get volume only on specific protocol

Responses
chevron-right
200

Latest volumes with specified filters.

application/json
statusstringOptionalExample: okPattern: ^ok$
get
/volumes/latest
get

Returns historical volumes with optional filters.

Path parameters
sinceintegerRequired

UNIX-time from which to get historical volumes.

Example: 1693392198
Query parameters
untilintegerOptional

UNIX-time until which to get historical volumes.

Example: 1693392498
tokenAddressstringOptional

Filter volumes by token address.

Example: 0x82aF49447D8a07e3bd95BD0d56f35241523fBab1
poolAddressstringOptional

Filter volumes by pool address.

Example: 0x95c9bF3f60Cbc2BE8e148FAe82f26930bFcD1839
minVolumeUSDnumber · floatOptional

Minimum volume in USD.

Example: 1000
blockchainstringOptional

Filter volumes by blockchain.

Example: Arbitrum
exchangestringOptional

Filter volumes by exchange name or address.

Example: Uniswap v3
addressanyOptional

Get volume of trades by specifc address

Example: 0x884dB3A3b1d4925d0d6fF204eE12B47E5746b200
protocolanyOptional

Get volume only on specific protocol

periodstringOptional

Period within of which volume is calculated

Default: 1dExample: 1d
Responses
chevron-right
200

Historical volumes with specified filters.

application/json
statusstringOptionalExample: okPattern: ^ok$
get
/volumes/historical/{since}
get

Returns aggregated volumes by pools matching optional filters.

Path parameters
sinceintegerRequired

UNIX-time from which to get historical volumes.

Example: 1693392198
Query parameters
untilintegerOptional

UNIX-time until which to get historical volumes.

Example: 1693392498
tokenAddressstringOptional

Filter volumes by token address.

Example: 0x82aF49447D8a07e3bd95BD0d56f35241523fBab1
poolAddressstringOptional

Filter volumes by pool address.

Example: 0x95c9bF3f60Cbc2BE8e148FAe82f26930bFcD1839
minVolumeUSDnumber · floatOptional

Minimum volume in USD.

Example: 1000
blockchainstringOptional

Filter volumes by blockchain.

Example: Arbitrum
exchangestringOptional

Filter volumes by exchange name or address.

Example: Uniswap v3
addressanyOptional

Get volume of trades by specifc address

Example: 0x884dB3A3b1d4925d0d6fF204eE12B47E5746b200
protocolanyOptional

Get volume only on specific protocol

Responses
chevron-right
200

Historical volumes with specified filters.

application/json
statusstringOptionalExample: okPattern: ^ok$
get
/volumes/aggregated/{since}

Last updated